> For the complete documentation index, see [llms.txt](https://docs.cherryai.com.cn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cherryai.com.cn/docs/jp/pre-basic/settings/data-settings/s3-compatible.md).

# S3互換ストレージバックアップ

Cherry Studioのデータバックアップは、S3互換ストレージ（オブジェクトストレージ）によるバックアップをサポートしています。一般的なS3互換ストレージサービスには、AWS S3、Cloudflare R2、アリババクラウド OSS、Tencent Cloud COS、MinIO などがあります。

S3互換ストレージを基にして、 `Aのコンピュータ` $$\xrightarrow{\text{备份}}$$ `S3ストレージ` $$\xrightarrow{\text{恢复}}$$ `Bのコンピュータ` という方法でマルチデバイス間のデータ同期を実現します。

### S3互換ストレージを設定する

1. オブジェクトストレージのバケット（Bucket）を作成し、バケット名を記録します。**バックアップデータの漏えいを防ぐため、バケットは必ずプライベートな読み書きに設定することを強く推奨します！！**
2. 参考ドキュメントを参照し、クラウドサービスのコンソールでS3互換ストレージの `Access Key ID`、`Secret Access Key`、`Endpoint`、`Bucket`、`Region` などの情報を取得します。
   * **Endpoint**：S3互換ストレージのアクセスアドレス。通常は次のような形式です `https://<bucket-name>.<region>.amazonaws.com` または `https://<ACCOUNT_ID>.r2.cloudflarestorage.com`を参照してください。
   * **Region**：バケットが所在するリージョン。例えば `us-west-1`、`ap-southeast-1` などです。Cloudflare R2 では `auto`を参照してください。
   * **Bucket**：バケット名。
   * **Access Key ID** と **Secret Access Key**：認証に使用する認証情報。
   * **Root Path**：任意。バケットへバックアップする際のルートパスを指定します。デフォルトは空です。
   * **関連ドキュメント**
     * AWS S3：[Access Key ID と Secret Access Key を取得する](https://docs.aws.amazon.com/zh_cn/IAM/latest/UserGuide/id_credentials_access-keys.html)
     * Cloudflare R2：[Access Key ID と Secret Access Key を取得する](https://developers.cloudflare.com/r2/api/tokens/)
     * アリババクラウド OSS：[Access Key ID と Access Key Secret を取得する](https://help.aliyun.com/zh/oss/developer-reference/use-amazon-s3-sdks-to-access-oss#306596478ed3r)
     * Tencent Cloud COS：[SecretId と SecretKey を取得する](https://cloud.tencent.com/document/product/436/37421)
3. S3バックアップ設定に上記の情報を入力し、バックアップボタンをクリックするとバックアップを実行できます。管理ボタンをクリックすると、バックアップファイル一覧を表示および管理できます。

***

### ヘルプの取得とフィードバックの送信

設定や使用中に疑問、バグ、または機能改善の提案がある場合は、 [フィードバックと提案](/docs/jp/question-contact/suggestions.md) に記載の公式チャネルをご参照ください。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cherryai.com.cn/docs/jp/pre-basic/settings/data-settings/s3-compatible.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
